import * as React$1 from 'react';

interface UIStateContextType {
    isMobile: boolean;
}
declare const UIStateContext: React$1.Context<UIStateContextType>;
type UiStateProviderProps = React.ReactNode;
declare function UIStateProvider({ children, isMobile, }: {
    children: UiStateProviderProps;
    isMobile: boolean;
}): React.ReactElement;
declare const useUIState: () => UIStateContextType;

export { UIStateContext, UIStateProvider, type UiStateProviderProps, useUIState };
